oracle.jdbc

## Class OracleConnectionWrapper.CloseInvocationHandler

- java.lang.Object
- - oracle.jdbc.OracleConnectionWrapper.CloseInvocationHandler

All Implemented Interfaces:
  InvocationHandler

Enclosing class:
  OracleConnectionWrapper

    protected class OracleConnectionWrapper.CloseInvocationHandler
    extends Object
    implements InvocationHandler

### Constructor Summary

Constructors
`protected` `CloseInvocationHandler(OracleConnectionWrapper wrapper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloseInvocationHandler

    protected CloseInvocationHandler(OracleConnectionWrapper wrapper)

### Method Detail

#### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.